Bug 1201805 - Atari++ Fails to start with Function not implemented message
Summary: Atari++ Fails to start with Function not implemented message
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: atari++
Version: 21
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-13 14:44 UTC by John
Modified: 2015-04-07 17:37 UTC (History)
1 user (show)

Fixed In Version: atari++-1.73-4.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-31 21:38:13 UTC


Attachments (Terms of Use)

Description John 2015-03-13 14:44:16 UTC
Description of problem:
Program fails with a function not implemented message "unable to install the async callback handler"

Version-Release number of selected component (if applicable):
atari++.x86_64  1.73-3.fc21

How reproducible:
The program fails every time

Steps to Reproduce:
1.Enter atari++ on the command line
2.program issues error message after 3~5 seconds
3.program exits to command line

Actual results:
Program issues:
Failure: Function not implemented:
unable to install the async callback handler


Expected results:
Successful program start

Additional info:
I have traced the second line of the message to the "alsalayer.cpp" program source. I am not sufficiently skilled to determine what is happening to cause the message.

I am using USB headphones. They test successfully with speaker test and operate correctly for other use (web, file playback, utube... )

Fedora 21 workstation with current updates. Problem also was present in Fedora 20.

Comment 1 Dan Horák 2015-03-17 13:43:32 UTC
yes, I can reproduce the issue on F-20. FWIW it used to work correctly at least when the 1.73 version was introduced.

Comment 2 Dan Horák 2015-03-17 17:58:03 UTC
I've reported the problem upstream and the suggested workaround is to use "--Sound SDL" instead of the default direct Alsa output

Comment 3 Fedora Update System 2015-03-22 16:34:00 UTC
atari++-1.73-4.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/atari++-1.73-4.el7

Comment 4 Fedora Update System 2015-03-22 16:34:06 UTC
atari++-1.73-4.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/atari++-1.73-4.fc22

Comment 5 Fedora Update System 2015-03-22 16:34:13 UTC
atari++-1.73-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/atari++-1.73-4.fc20

Comment 6 Fedora Update System 2015-03-22 16:34:19 UTC
atari++-1.73-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/atari++-1.73-4.fc21

Comment 7 Fedora Update System 2015-03-22 18:25:15 UTC
Package atari++-1.73-4.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing atari++-1.73-4.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-1359/atari++-1.73-4.el7
then log in and leave karma (feedback).

Comment 8 John 2015-03-24 12:41:53 UTC
Atari++ now starts successfully.

Comment 9 Fedora Update System 2015-03-31 21:38:13 UTC
atari++-1.73-4.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-04-05 14:29:39 UTC
atari++-1.73-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-04-05 14:35:42 UTC
atari++-1.73-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-04-07 17:37:15 UTC
atari++-1.73-4.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.